Template:Button/style.css

Revision as of 19:10, 31 January 2026 by Pumpkin (talk | contribs) (Created page with "Button.css: .tpl-button { display: inline-block; position:relative; padding: 4px 10px!important; width:100%; height:40px!important; border-radius: 8px; font-weight: bold; cursor: pointer; line-height:1!important; text-decoration:none!important; text-align:center!important; } .tpl-button p{ margin: 0!important; position: absolute!important; top: 50%!important; left: 50%!important; transform: translate(-50%, -50%)!importan...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
/* Button.css */
.tpl-button {
    display: inline-block;
    position:relative;
    padding: 4px 10px!important;
    width:100%;
    height:40px!important;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
	line-height:1!important;
	text-decoration:none!important;
	text-align:center!important;
}

.tpl-button p{
  margin: 0!important;
  position: absolute!important;
  top: 50%!important;
  left: 50%!important;
  transform: translate(-50%, -50%)!important;
}

.tpl-button-center > a, .tpl-button-left > a, .tpl-button-right > a{
	height:40px!important;
	width:100%!important;
}

.tpl-button-center > a,.tpl-button-left > a,.tpl-button-right > a{
	height:100%!important;
}

/* Choose where to align the button (left, right, center) */
.tpl-button-left{
	display: flex!important;
	justify-content: flex-start!important;
}

.tpl-button-center{
	display: flex!important;
	justify-content: center!important;
}

.tpl-button-right{
	display: flex!important;
	justify-content: flex-end!important;
}

/*available colors*/
.tpl-button-red {
    background-color:#b50014!important; /* taken from Citizen.css : --color-red-3*/
    color:#fff!important;
}

.tpl-button-red:hover{
	background-color:#c33242!important; /* --color-red-light-3 from Citizen.css */
}

.tpl-button-blue {
    background-color: #143fbf!important;
    color:#fff!important;
}

.tpl-button-green {
    background-color: #52CF44!important;
    color:#333!important;
}

.tpl-button-yellow {
    background-color: #FFDA1F!important;
    color:#333!important;
}

.tpl-button:hover{ /*colors other than red, which we use for Citizen, are automatically recalculated on a filter value*/
	filter:brightness(110%) saturate(100%)!important;
}

@media screen and (max-width:768px){
	.tpl-button{
		width:75%!important;
	}
	.tpl-button-left,.tpl-button-center,.tpl-button-right{
		display: flex!important;
		justify-content: center!important;
	}

}